Subject: Re: [PATCH RFC]: napi_struct V5

From: Roland Dreier <[email-masked]>
Date: Thu, 09 Aug 2007 10:49:35 -0700

> > Dave, could you please hold this portion of the patch for a moment. I will
 > > test this patch ASAP. According to our previous experience, this changes
 > > significant changes some IPoIB driver performance.
 > 
 > I reverted everything Roland had an issue with, I got tired of arguing
 > my position and doing all of the coding too.  He won.

Why does this have to become a contest of wills where someone wins?  I
wish we could just have a technical discussion and get to the best
solution.  You posted an RFC, and I commented on the parts where I
believe I have some expertise.  We're all on the same side here.

Shirley, I think it would still be useful to run benchmarks of IPoIB
on ehca with Dave's NAPI patches, both V5 that changed the "missed
event" behavior and V6 that didn't.  At least I'm curious to know how
much the difference is.

 - R.